package com.example.vaadinmap;

import com.vaadin.navigator.View;
import com.vaadin.navigator.ViewChangeListener.ViewChangeEvent;
import com.vaadin.ui.Alignment;
import com.vaadin.ui.Button;
import com.vaadin.ui.Button.ClickEvent;
import com.vaadin.ui.Notification;
import com.vaadin.ui.UI;
import com.vaadin.ui.VerticalLayout;

public class StartView extends VerticalLayout implements View {
    /**
	 * 
	 */
	private static final long serialVersionUID = -4206529687920385087L;

	public StartView() {
        setSizeFull();

        Button button = new Button("Go to Map View",
                new Button.ClickListener() {
            /**
			 * 
			 */
			private static final long serialVersionUID = -3031424962590969186L;

			@Override
            public void buttonClick(ClickEvent event) {
                UI.getCurrent().getNavigator().navigateTo(MapView.NAME);
            }
        });
        addComponent(button);
        setComponentAlignment(button, Alignment.MIDDLE_CENTER);
    }        
        
    @Override
    public void enter(ViewChangeEvent event) {
        Notification.show("Welcome to the MEA Map Dashboard");
    }
}