package com.example.vaadinmap;

import javax.servlet.annotation.WebServlet;

import com.vaadin.annotations.Theme;
import com.vaadin.annotations.VaadinServletConfiguration;
import com.vaadin.navigator.Navigator;
import com.vaadin.server.VaadinRequest;
import com.vaadin.server.VaadinServlet;
import com.vaadin.ui.UI;

@SuppressWarnings("serial")
@Theme("vaadinmap")
public class VaadinmapUI extends UI {

	@WebServlet(value = "/*", asyncSupported = true)
	@VaadinServletConfiguration(productionMode = false, ui = VaadinmapUI.class, widgetset = "com.example.vaadinmap.widgetset.VaadinmapWidgetset")
	public static class Servlet extends VaadinServlet {
	}

	@Override
	protected void init(VaadinRequest request) {
		
        new Navigator(this, this);
        
        getNavigator().addView("", new StartView());
        getNavigator().addView(MapView.NAME, MapView.class);

		
	}

}